Subject: 回复： Re: [Consult] About only one Signed-of-by for the patches

From: Xuetao Guan <[email-masked]>
Date: Tue, 27 May 2014 13:07:30 +0800 (CST)

----- Stephen Rothwell <[email-masked]> 写道：
> Hi Chen,
> 
> On Tue, 27 May 2014 09:23:38 +0800 Chen Gang <[email-masked]> wrote:
> >
> > I find some of patches are only Signed-of-by me, are they OK?
> 
> Actually, this one is not OK.  Anyone who handles a patch needs to add a
> Signed-off-by.  In the case below, that patch was commited to the tree
> by Guan Xuetao <[email-masked]>, so there needs to be a
> Signed-off-by from them as well.
> 
> The same is true for all the commits in the unicore32 tree ...

Ok, I see.

Then, do I need to reply each mail with my sob? Or only replace acked-by by sob for all commits in my tree?

Xuetao

> 
> > commit d7de15786d1a10fa18b80fd44026d442e7a84bd2
> > Author: Chen Gang <[email-masked]>
> > Date:   Tue Apr 15 09:21:30 2014 +0800
> > 
> >     arch:unicore32:mm: add devmem_is_allowed() to support STRICT_DEVMEM
> >     
> >     unicore32 supports STRICT_DEVMEM, so it needs devmem_is_allowed(), like
> >     some of other architectures have done (e.g. arm, powerpc, x86 ...).
> >     
> >     The related error with allmodconfig:
> >     
> >         CC      drivers/char/mem.o
> >       drivers/char/mem.c: In function â<U+0080><U+0098>range_is_allowedâ<U+0080><U+0099>:
> >       drivers/char/mem.c:69: error: implicit declaration of function â<U+0080><U+0098>devmem_is_allowedâ<U+0080><U+0099>
> >       make[2]: *** [drivers/char/mem.o] Error 1
> >       make[1]: *** [drivers/char] Error 2
> >       make: *** [drivers] Error 2
> >     
> >     Signed-off-by: Chen Gang <[email-masked]>
> >     Acked-by: Xuetao Guan <[email-masked]>
> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]